summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/eselect-emacs')
-rw-r--r--app-admin/eselect-emacs/ChangeLog10
-rw-r--r--app-admin/eselect-emacs/Manifest3
-rw-r--r--app-admin/eselect-emacs/eselect-emacs-9999.ebuild34
-rw-r--r--app-admin/eselect-emacs/metadata.xml5
4 files changed, 52 insertions, 0 deletions
diff --git a/app-admin/eselect-emacs/ChangeLog b/app-admin/eselect-emacs/ChangeLog
new file mode 100644
index 0000000..569cadd
--- /dev/null
+++ b/app-admin/eselect-emacs/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for app-admin/eselect-emacs
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*eselect-emacs-9999 (30 Apr 2008)
+
+ 30 Apr 2008; Ulrich Mueller <ulm@gentoo.org> +metadata.xml,
+ +eselect-emacs-9999.ebuild:
+ Live SVN ebuild.
+
diff --git a/app-admin/eselect-emacs/Manifest b/app-admin/eselect-emacs/Manifest
new file mode 100644
index 0000000..dd48f94
--- /dev/null
+++ b/app-admin/eselect-emacs/Manifest
@@ -0,0 +1,3 @@
+EBUILD eselect-emacs-9999.ebuild 905 RMD160 235e8be13739cdf373b7e48588998ef0c184fe3c SHA1 66fe06c711c08b0f5bda35edc8075578c60509cd SHA256 3bac5377ffe9054e41097a75efdcdcaecd67ae6ab9390edd72e311f85f068a43
+MISC ChangeLog 271 RMD160 922c56b52429fbfe11be3bbf367f4f75edeec1cf SHA1 ec5e39ebd2164f289095b3362f1b23217da13f59 SHA256 aa47790b9b8221d35753fcf4e634629758a7ad9c00c8f3eac0df16f306c7e2db
+MISC metadata.xml 158 RMD160 415d172437ca754d24fc5ab186ba8e77934d96e4 SHA1 61f6eff9729cd87a725c2a70c81aca4270a17fc4 SHA256 1393bdef3a74343fdb40a112c7096a1af16f67e7a43413250de28dfe73810eab
diff --git a/app-admin/eselect-emacs/eselect-emacs-9999.ebuild b/app-admin/eselect-emacs/eselect-emacs-9999.ebuild
new file mode 100644
index 0000000..1d72f56
--- /dev/null
+++ b/app-admin/eselect-emacs/eselect-emacs-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit subversion
+
+DESCRIPTION="Manages Emacs versions"
+HOMEPAGE="http://www.gentoo.org/proj/en/lisp/emacs/"
+#SRC_URI="mirror://gentoo/${P}.tar.bz2"
+ESVN_REPO_URI="svn://anonsvn.gentoo.org/emacs/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.0.10
+ ~app-admin/eselect-ctags-${PV}"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ subversion_fetch || die
+ subversion_fetch "${ESVN_REPO_URI%/*}/emacs-updater" || die
+}
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins {emacs,etags}.eselect || die "doins failed"
+ doman {emacs,etags}.eselect.5 || die "doman failed"
+ dodoc ChangeLog || die "dodoc failed"
+ dosbin emacs-updater || die "dosbin failed"
+}
diff --git a/app-admin/eselect-emacs/metadata.xml b/app-admin/eselect-emacs/metadata.xml
new file mode 100644
index 0000000..bc306fe
--- /dev/null
+++ b/app-admin/eselect-emacs/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>emacs</herd>
+</pkgmetadata>